import javax.microedition.lcdui.*;
import java.util.*;


public class Line {
    String    name;
    Station[] stations;
    Image     image;
    int[]     distance;
    int[]     delays;

    static final int DAY_TIME   = 0;
    static final int RUSH_TIME  = 1;
    static final int NIGHT_TIME = 2;

    static int getPeriod() { 
        Calendar c = Calendar.getInstance();
        c.setTime(new Date());
        switch (c.get(Calendar.HOUR_OF_DAY)) { 
        case 0:
        case 1:
        case 2:
        case 3:
        case 4:
        case 5:
        case 22:
        case 23:
            return NIGHT_TIME;
        case 7:
        case 8:
        case 9:
        case 18:
        case 19:
            return RUSH_TIME;
        case 6:
        case 10:
        case 11:
        case 12:
        case 13:
        case 14:
        case 15:
        case 16:
        case 17:
        case 20:
        case 21:
        default:
            return DAY_TIME;
        }
    }


    Line(String name, int color, int[] delays, Station[] stations) { 
        this.name = name;
        this.delays = delays;
        Image mutable = Image.createImage(9, 9);
        Graphics g = mutable.getGraphics();
        g.setColor(color);
        g.fillArc(0, 0, 9, 9, 0, 360);
        image = Image.createImage(mutable);
        this.stations = stations;
    }
}
