import javax.microedition.lcdui.*;

public class LineStationList extends List implements CommandListener {
    private int lineNo;
    
    public LineStationList(int lineNo)
    {
        super(Scheme.instance.metroLines[lineNo].name, List.IMPLICIT);
        this.lineNo = lineNo;
        Line line = Scheme.instance.metroLines[lineNo];
        for (int i = 0; i < line.stations.length; i++) { 
            append(line.stations[i].getShortName(), null);
        }
        setCommandListener(this);
        addCommand(MetroNavigator.BACK_CMD);
        addCommand(MetroNavigator.SEARCH_CMD);
        addCommand(MetroNavigator.SELECT_CMD);
        Display.getDisplay(MetroNavigator.getInstance()).setCurrent(this);
    }
    
    /**
     * Indicates that a command event has occurred on Screen s.
     */
    public void commandAction(Command c, Displayable d)  {
        MetroNavigator navigator = MetroNavigator.getInstance();
        if (c == MetroNavigator.SEARCH_CMD) {
            new SearchBox(this);
        } else if (c == MetroNavigator.BACK_CMD) {
            Display.getDisplay(navigator).setCurrent(navigator.viewer);
        } else {               
            navigator.setStation(Scheme.instance.metroLines[lineNo].stations[getSelectedIndex()]);
        }
    }
}
